Subject: bug#6155: Crashes on w32 because of bad frame initialization

From: Lennart Borgman <[email-masked]>
Date: Mon, 10 May 2010 18:00:57 +0200

On Mon, May 10, 2010 at 5:12 PM, Juanma Barranquero <[email-masked]> wrote:
>> I have seen numerous crashes on w32 when a frame has been badly
>> initialized. I wonder if the problem is that frames can get half
>> initialized.
>>
>> In the function Fx_create_frame a bad value coming from a frame
>> parameter (menu-bar-lines . t) will lead to an error in
>>
>>  x_default_parameter (f, parameters, Qmenu_bar_lines, make_number (1),
>>                       "menuBar", "MenuBar", RES_TYPE_NUMBER);
>>
>> Does not that leave the frame half initialized?
>
> Do you have a recipe to reproduce the problem'

I have no exact recipe but I noticed the problem when the above
parameter was in the list of parameters to make frame.

The `t' in (menu-bar-lines . t) shoudld be a number. In make-frame I
got an error and shortly afterwards Emacs crashed.